//crt계열 함수를 위한 설정
#define CRTDBG_MAP_ALLOC
//#define _CRTDBG_MAP_ALLOC
//메모리 누수점도 나타내주나 정확하지는 않다.(사용법을 모르겠다.-_-)
#include <stdlib.h>
#include <crtdbg.h>

#include "main.h"

INT WINAPI WinMain( HINSTANCE hInst, HINSTANCE, LPSTR, INT ){

	//메모리누수 탐지 cf. _CrtDumpMemoryLeaks();
	_CrtSetDbgFlag ( _CRTDBG_ALLOC_MEM_DF | _CRTDBG_LEAK_CHECK_DF );

	MainClass aMain;

	aMain.initEngine("device.conf");
	aMain.runEngine();

	return S_OK;
}
